local _, addon = ...

local function Constructor()
	local sep = CreateFrame("Frame", nil, UIParent)
	sep:SetHeight(1)

	local tex = sep:CreateTexture(nil, "BACKGROUND")
		tex:SetAllPoints(sep)
		tex:SetTexture([[Interface\QuestFrame\UI-QuestLogTitleHighlight]])
		tex:SetBlendMode("ADD")
	sep.tex = tex

	return sep
end

local function Neutralizer(sep)
	sep:SetParent(UIParent)
	sep:ClearAllPoints()
	sep:SetHeight(1)
	sep:Hide()
end

addon:RegisterWidget("HorizontalSeparator", Constructor, Neutralizer)
