local _, addon = ...

local function Constructor()
	local listbutton = CreateFrame("CheckButton", nil, UIParent)
	listbutton:SetHighlightTexture([[Interface\QuestFrame\UI-QuestLogTitleHighlight]] , "ADD")
	listbutton:SetCheckedTexture([[Interface\QuestFrame\UI-QuestLogTitleHighlight]])
	listbutton:GetCheckedTexture():SetBlendMode("ADD")
	listbutton:SetFontString("GameFontNormal")
	listbutton:SetHighlightFontObject("GameFontHighlight")
	
	return listbutton
end

local function Neutralizer(listbutton)
	listbutton:SetParent(UIParent)
	listbutton:SetChecked(false)
	listbutton:ClearAllPoints()
	listbutton:SetText("")
	listbutton:SetScript("OnClick", nil)
	listbutton:SetScript("OnEnter", nil)
	listbutton:SetScript("OnLeave", nil)
	listbutton:Hide()
end

addon:RegisterWidget("listbutton", Constructor, Neutralizer)
