local _, MNT4 = ...


MNT4.ProfilesFrame = {}
function MNT4.ProfilesFrame:Show()

	local widget = {}
	widget.frame = CreateFrame("frame")


	local SettingsTitle = MNT4:GetWidget("title", widget.frame)
		SettingsTitle:SetPoint("TOPLEFT", widget.frame, "TOPLEFT", 2, -2)
		SettingsTitle:SetPoint("RIGHT", widget.frame, "RIGHT", 0, 0)
		SettingsTitle:SetText("Settings")
	widget.SettingsTitle = SettingsTitle

	local checkbox = MNT4:GetWidget("checkbox", widget.frame)
		checkbox:SetPoint("TOPLEFT", SettingsTitle, "BOTTOMLEFT", 0,0)
		checkbox:SetPoint("RIGHT", SettingsTitle, "CENTER", 0,-2)
		checkbox:SetText("Start Minimized")
		checkbox:SetScript("OnClick", function(self)
			self:SetChecked(not self.checked)
			MNT4.db.profile.startMinimized = self:GetChecked()
		end)
		checkbox:SetChecked(MNT4.db.profile.startMinimized)
	widget.checkbox = checkbox

	local Seperator = MNT4:GetWidget("HorizontalSeparator", widget.frame)
		Seperator:SetPoint("TOPLEFT", checkbox, "BOTTOMLEFT", 2, -2)
		Seperator:SetPoint("RIGHT", widget.frame, "RIGHT", 0, 0)
	widget.Seperator = Seperator

	local ProfileTitle = MNT4:GetWidget("title", widget.frame)
		ProfileTitle:SetPoint("TOPLEFT", Seperator, "BOTTOMLEFT", 2, -2)
		ProfileTitle:SetPoint("RIGHT", widget.frame, "RIGHT", 0, 0)
		ProfileTitle:SetText("Profiles")
	widget.ProfileTitle = ProfileTitle

	widget.content = CreateFrame('frame', nil, widget.frame)
		widget.content:SetPoint("TOPLEFT", ProfileTitle, "BOTTOMLEFT", 0, -2)
		widget.content:SetPoint("BOTTOMRIGHT", -2, 2)
	LibStub("AceGUI-3.0"):RegisterAsContainer(widget)
	widget:SetLayout("fill")

	LibStub("AceConfig-3.0"):RegisterOptionsTable('MNT4_Profile', LibStub("AceDBOptions-3.0"):GetOptionsTable(MNT4.db))

	LibStub("AceConfigDialog-3.0"):Open("MNT4_Profile", widget)
	widget.frame:Show()
	MNT4.ProfilesFrame = widget.frame
end
